* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background: #ffffff;
    color: #5f6470;
}

.container {
    width: 100%;
    min-height: 100vh;
    background: #e5edff;
    overflow: hidden;
}

.titulo {
    width: 48%;
    height: 48px;

    margin: 8px auto 0;

    background: #466bc1;

    border: 2px solid #dbe6ff;
    border-radius: 8px;

    display: flex;
    align-items: center;
    justify-content: center;

    color: white;
    font-size: 23px;
    font-weight: bold;
}

.subtitulo {
    text-align: center;

    margin-top: 24px;

    color: #737b8a;
    font-size: 14px;
    font-weight: bold;
}

.dados-principais {
    display: flex;

    width: 95%;
    margin: 21px auto 0;

    gap: 45px;
}


.foto-area {
    width: 155px;
    flex-shrink: 0;
}

.label-foto {
    display: block;

    margin-left: 6px;
    margin-bottom: 6px;

    color: #4d5360;
    font-size: 13px;
    font-weight: bold;
}

.foto-box {
    width: 145px;
    height: 138px;

    background: white;

    border: 2px dashed #d0dcf7;
    border-radius: 7px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-align: center;

    cursor: pointer;
}

.camera-icon {
    width: 25px;
    height: 25px;

    color: #555b64;

    margin-bottom: 13px;
}

.foto-box span {
    color: #4e5663;

    font-size: 9px;
    font-weight: bold;
}

.foto-box small {
    margin-top: 7px;

    color: #a8adb7;

    font-size: 8px;
}

.secao-titulo {
    display: flex;
    align-items: center;

    gap: 8px;

    color: #352bc0;

    font-size: 13px;
    font-weight: bold;

    margin-bottom: 12px;
}

.secao-titulo svg {
    width: 19px;
    height: 19px;
}

.dados-pessoais {
    flex: 1;

    margin-top: -2px;
}

.grid-pessoal {
    display: grid;

    grid-template-columns: 1fr 1fr;

    column-gap: 48px;
    row-gap: 9px;
}

.campo {
    display: flex;
    flex-direction: column;
}

.campo label {
    color: #646b78;

    font-size: 13px;

    margin-bottom: 5px;
}

.campo input {
    width: 100%;
    height: 32px;

    background: white;

    border: none;
    border-radius: 5px;

    outline: none;

    padding: 0 10px;

    font-size: 13px;
}

.campo input:focus {
    box-shadow: 0 0 0 1px #486bc1;
}

.email {
    grid-column: 1;
}


.endereco {
    width: 95%;

    margin: 27px auto 0;
}

.endereco .secao-titulo {
    margin-bottom: 10px;
}

.grid-endereco {
    display: grid;

    grid-template-columns:
        1.1fr
        1.1fr
        1.1fr
        1.2fr
        1.1fr;

    gap: 11px;
}

.grid-endereco input {
    height: 32px;
}


.conta {
    width: 95%;

    margin: 22px auto 0;
}

.conta .secao-titulo {
    margin-bottom: 10px;
}

.conta-conteudo {
    display: flex;
    align-items: flex-end;

    gap: 43px;
}

.senha {
    width: 150px;
}

.confirmar {
    width: 150px;
}


.botoes {
    margin-left: auto;

    width: 220px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

.botoes button {
    width: 140px;
    height: 58px;

    border: none;
    border-radius: 7px;

    background: #3156a8;

    color: white;

    font-size: 17px;
    font-weight: bold;

    cursor: pointer;

    box-shadow: 0 2px 8px rgba(30, 55, 120, 0.45);
}

.botoes button:hover {
    background: #274b9a;
}


.login {
    margin-top: 15px;

    font-size: 14px;

    display: flex;
    gap: 5px;
}

.login span {
    color: #8a909a;
}

.login a {
    color: #4265b7;

    text-decoration: underline;

    cursor: pointer;
}

a {
    text-decoration: none;
}

a:link {
  color: #f8f8f8;
}

a:visited {
  color: #f8f8f8;
}


@media (max-width: 700px) {

    .titulo {
        width: 70%;
    }

    .dados-principais {
        flex-direction: column;
    }

    .foto-area {
        margin: auto;
    }

    .grid-pessoal {
        grid-template-columns: 1fr;
    }

    .email {
        grid-column: auto;
    }

    .grid-endereco {
        grid-template-columns: 1fr 1fr;
    }

    .conta-conteudo {
        flex-wrap: wrap;
    }

    .botoes {
        margin-left: 0;
    }
}
